using System.ComponentModel;

namespace Hotline.Share.Enums.CallCenter;

public enum EIvrStrategeType
{
    /// <summary>
    /// 语音播放完进入
    /// </summary>
    [Description("语音播放完")]
    VoiceEnd = 0,

    /// <summary>
    /// 普通按键触发
    /// </summary>
    [Description("普通按键")]
    KeyPress = 1,

    /// <summary>
    /// 异常按键触发策略，未配置则不会有任何响应直到按规则播放完毕
    /// </summary>
    [Description("异常按键")]
    Error = 2,

    /// <summary>
    /// 返回上一级
    /// </summary>
    [Description("返回上一级")]
    PreStep = 3,

    /// <summary>
    /// 按键超时
    /// </summary>
    [Description("按键超时")]
    OverTime = 4,
}